<?xml version="1.0" encoding="utf-8"?>

<creole>
    <files>
        <service servicelist='dhrelay'>isc-dhcp-relay</service>
        <file filelist='dhrelay' name='/etc/default/isc-dhcp-relay'/>
    </files>
    <variables>
        <family name='services'>
            <variable name='activer_dhcprelay' type='oui/non' description='Activer le relai DHCP'>
                <value>non</value>
            </variable>
        </family>
        <family name='relai dhcp' icon='forward'>
            <variable name='dhcrelay_interfaces' type='string' mandatory='True' description="Numéro de l'interface derrière laquelle sont les clients DHCP" multi='True'>
                <value>all</value>
            </variable>
            <variable name='dhcrelay_vlan' type='number' description='Numéro de VLAN des clients DHCP'/>
            <variable name='dhcrelay_server_interface' type='string' mandatory='True' description="Numéro de l'interface derrière laquelle est le serveur DHCP" />
            <variable name='adresse_ip_dhcp_dhcrelay' type='ip' mandatory='True' description='Adresse IP du serveur DHCP à relayer'/>
        </family>
    <separators/>
    </variables>
    <constraints>
        <check name='valid_enum' target="dhcrelay_interfaces">
            <param>['all', '1', '2', '3', '4']</param>
        </check>
        <check name='valid_enum' target="dhcrelay_server_interface">
            <param>['1', '2', '3', '4']</param>
        </check>
        <condition name='disabled_if_in' source='activer_dhcprelay'>
            <param>non</param>
            <target type='filelist'>dhrelay</target>
            <target type='servicelist'>dhrelay</target>
            <target type='family'>relai dhcp</target>
        </condition>
        <fill name='calc_val' target='adresse_ip_dhcp_dhcrelay'>
            <param type='eole' optional='True' hidden='False'>ip_serveur_scribe_dmz</param>
        </fill>
        <group master='dhcrelay_interfaces'>
            <slave>dhcrelay_vlan</slave>
        </group>
    </constraints>
    <help>
        <family name='relai dhcp'>Paramétrage du relai DHCP</family>
        <variable name='activer_dhcprelay'>Le relai DHCP permet de relayer les trames DHCP d'un réseau vers d'autres réseaux</variable>
        <variable name='dhcrelay_interfaces'>'all' relaiera les reqêtes DHCP depuis toutes les interfaces vers le serveur DHCP</variable>
        <variable name='dhcrelay_server_interface'>Numéro de l'interface vers où relayer les requêtes DHCP</variable>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
